using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace NonFullscreenDemo
{
  public partial class InputForm : NonFullscreenForm
  {
    public InputForm()
    {
      InitializeComponent();
    }

    private void DefaultButtonForm_Load(object sender, EventArgs e)
    {
      txtUserName.Focus();
    }

    private void txtUserName_TextChanged(object sender, EventArgs e)
    {
      btnOK.Enabled = !String.IsNullOrEmpty(txtUserName.Text);
    }

    public string UserName
    {
      get { return txtUserName.Text; }
      set { txtUserName.Text = value; }
    }
  }
}